<?xml version="1.0" encoding="utf-8"?>

<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/drawerLayout"
    android:layout_width="match_parent"
    android:background="@color/white"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="false">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/home_top_bg"
                android:elevation="5dp"
                android:orientation="vertical">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="30dp" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp">

                    <ImageView
                        android:id="@+id/iv_setting"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_centerVertical="true"
                        android:layout_marginStart="20dp"
                        android:padding="8dp"
                        android:src="@drawable/side_slip" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_centerVertical="true"
                        android:text="Colorful keyboard"
                        android:textColor="#fff"
                        android:textSize="18dp"
                        android:textStyle="bold" />
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/loadingLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:visibility="gone">

                <ProgressBar
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:indeterminateTint="#FF03A9F4"
                    android:progressBackgroundTint="#FF03A9F4"
                    android:progressTint="#FF03A9F4" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/no_data_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="gone">


                <TextView
                    android:id="@+id/try_again"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="20dp"
                    android:textStyle="italic"
                    android:text="Load error,try again!"
                    android:textColor="#FF03A9F4"/>

            </LinearLayout>


            <com.google.android.material.tabs.TabLayout
                android:id="@+id/tabLayout"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginBottom="10dp"
                android:background="@color/white"
                app:tabBackground="@color/transparent"
                app:tabGravity="fill"
                app:tabIndicator="@color/white50"
                app:tabIndicatorColor="#FF03A9F4"
                app:tabIndicatorFullWidth="false"
                app:tabIndicatorHeight="3dp"
                app:tabMode="scrollable"
                app:tabPaddingEnd="10dp"
                app:tabPaddingStart="10dp"
                app:tabRippleColor="@color/transparent"
                app:tabSelectedTextColor="#FF03A9F4"
                app:tabTextColor="#333" />

            <androidx.viewpager2.widget.ViewPager2
                android:id="@+id/viewPager"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

        </LinearLayout>

        <RelativeLayout
            android:id="@+id/keyboard_setting"
            android:layout_width="match_parent"
            android:layout_height="58dp"
            android:visibility="gone"
            android:layout_alignParentBottom="true"
            android:layout_marginStart="32dp"
            android:layout_marginEnd="32dp"
            android:layout_marginBottom="32dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_centerInParent="true"
                android:background="@drawable/drw_80_btn"
                android:gravity="center"
                android:text="Apply Keyboard"
                android:textColor="@color/white"
                android:textSize="16dp"
                android:textStyle="bold" />

            <LinearLayout
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_alignParentEnd="true"
                android:background="@drawable/drw_red_round_bg"
                android:gravity="center">

                <TextView
                    android:id="@+id/keyboardNumber"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="@color/white" />
            </LinearLayout>
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/dialog_step_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#99000000"
            android:visibility="gone">

            <LinearLayout
                android:id="@+id/activate_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:background="@drawable/draw_activate_layout_bg"
                android:orientation="vertical"
                android:visibility="visible">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="20dp"
                    android:gravity="center"
                    android:text="Activate Colorful Keyboard"
                    android:textColor="@color/black"
                    android:textSize="14dp"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="32dp">

                    <TextView
                        android:id="@+id/step_1_btn"
                        android:layout_width="0dp"
                        android:layout_height="46dp"
                        android:layout_marginEnd="4dp"
                        android:layout_weight="1"
                        android:background="@drawable/drw_gray_select_bg"
                        android:gravity="center"
                        android:text="Step 1:Select"
                        android:textColor="#999999"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/step_2_btn"
                        android:layout_width="0dp"
                        android:layout_height="46dp"
                        android:layout_marginStart="4dp"
                        android:layout_weight="1"
                        android:background="@drawable/drw_80_btn"
                        android:gravity="center"
                        android:text="Step 2:Enabled"
                        android:textColor="@color/black"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                </LinearLayout>
            </LinearLayout>

        </RelativeLayout>

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/nav_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="start"
        android:background="@color/white"
        android:fitsSystemWindows="true"
        android:orientation="vertical">


        <ImageView
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="80dp"
            android:src="@mipmap/ic_launcher"
            app:civ_border_color="@color/white"
            app:civ_border_width="0dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="20dp"
            android:text="@string/english_ime_name"
            android:textColor="#FF03A9F4" />

        <TextView
            android:id="@+id/tv_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="10dp"
            android:text=""
            android:textColor="#FF03A9F4" />

        <LinearLayout
            android:id="@+id/ll_yinsi"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginLeft="25dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="25dp"
            android:background="@drawable/pricacy"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:gravity="center_vertical"
                android:text="Privacy Policy"
                android:textColor="#FF03A9F4" />

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/ic_arrow_yinsi" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_download"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginLeft="25dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="25dp"
            android:background="@drawable/pricacy"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:gravity="center_vertical"
                android:text="My Downloads"
                android:textColor="#FF03A9F4" />

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/ic_arrow_yinsi" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_share"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginLeft="25dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="25dp"
            android:background="@drawable/pricacy"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:gravity="center_vertical"
                android:text="Share"
                android:textColor="#FF03A9F4" />

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginEnd="16dp"
                android:src="@mipmap/ic_arrow_yinsi" />

        </LinearLayout>

    </LinearLayout>
</androidx.drawerlayout.widget.DrawerLayout>
